package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.math.BigDecimal;

/**
 * 对应数据库表(demo_group):
 */
public class DemoGroup {

	/**  */
	@ApiModelProperty(value = "试听课编号",required = false)
	private Long id;
	
	/**  */
	@ApiModelProperty(value = "试听课名称",required = false)
	private String name;
	
	@ApiModelProperty(value = "单节课时",required = false)
	private Integer singleClassMinutes;
	
	@ApiModelProperty(value = "老师和学生共有的分部列表集合",required = false)
	private String organIdList;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	@ApiModelProperty(value = "老师编号",required = false)
	private Integer userId;

	@ApiModelProperty(value = "试听课单价",required = false)
	private BigDecimal price;

	@ApiModelProperty(value = "科目编号",required = false)
	private Integer subjectId;

	@ApiModelProperty(value = "科目名称")
	private String subjectName;

	public String getSubjectName() {
		return subjectName;
	}

	public void setSubjectName(String subjectName) {
		this.subjectName = subjectName;
	}

	public Integer getSubjectId() {
		return subjectId;
	}

	public void setSubjectId(Integer subjectId) {
		this.subjectId = subjectId;
	}

	public BigDecimal getPrice() {
		return price;
	}

	public void setPrice(BigDecimal price) {
		this.price = price;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setSingleClassMinutes(Integer singleClassMinutes){
		this.singleClassMinutes = singleClassMinutes;
	}
	
	public Integer getSingleClassMinutes(){
		return this.singleClassMinutes;
	}
			
	public void setOrganIdList(String organIdList){
		this.organIdList = organIdList;
	}
	
	public String getOrganIdList(){
		return this.organIdList;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setUserId(Integer userId){
		this.userId = userId;
	}
	
	public Integer getUserId(){
		return this.userId;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
